Disk Monitoring - Feature #1428

List SMART attributes on detail page
08/20/2016 11:11 PM - Luke Murphey

Status: Closed Start date: 08/20/2016
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5

Description

History

#1 - 08/21/2016 07:34 PM - Luke Murphey
Want to get the following fields:

e attribute name

¢ status

® value

See https://answers.splunk.com/answers/78340/is-it-possible-to-set-field-name-and-value-with-rex-similar-to-1-2-in-transforms-conf.html

#2 - 08/21/2016 07:42 PM - Luke Murphey

This gets the attributes into a single field:

sourcetype=smartmon Serial_Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ 1*[0-9]+.*\n)+)"

#3 - 08/21/2016 07:51 PM - Luke Murphey
Extracts the ID:

sourcetype=smartmon Serial_Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ ]*[0-9]+.*\n)+)"

rex max_match=100 field=attributes "\n[ ]*(?<id>([-0-9a-fA-F_]+))"

Non-greedy version:

sourcetype=smartmon Serial_Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ 1*[0-9]+.*\n)+)"

rex max_match=100 field=attributes "\n[ ]*(?2<id>([0-9]+)) [ 1+"
#4 - 08/21/2016 07:55 PM - Luke Murphey

Gets attribute name:

sourcetype=smartmon Serial_ Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ 1*[0-9]+.*\n)+)" |
rex max_match=100 field=attributes "\n[ ]* (?<attribute_id> ([0-9]+4)) [ ]+ (?<attribute_name> ([-0-9a-zA-Z_]1+))"

#5 - 08/21/2016 07:58 PM - Luke Murphey

With worst values:

sourcetype=smartmon Serial_ Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ 1*[0-9]+.*\n)+)" |
rex max_match=100 field=attributes "\n[ ]*(?<attribute_id> ([0-9]+)) [ ]+ (?<attribute_name> ([-0-9a-zA-Z_]+))[ 1+
(?<attribute_flag> ([-0-9a-zA-Z_]+)) [ 1+ (?<attribute_value>([0-9]+)) [ ]+ (?<attribute_worst>([0-9]+))"

#6 - 08/22/2016 05:47 AM - Luke Murphey
- Assignee set to Luke Murphey

- Target version changed from 0.6 to 0.5

With all:

sourcetype=smartmon Serial_ Number=7D4520004758 | head 1 | rex "RAW_VALUE\n (?<attributes> ([ ]*[0-9]+.*\n)+)" |

rex max_match=100 field=attributes "\n[ ]* (?<attribute_id> ([0-9]+)) [ ]+ (?<attribute_name> ([-0-9a-zA-Z_]1+))[ 1+
(?<attribute_flag>([-0-9a-zA-Z_]1+)) [ 1+ (?<attribute_value>([0-9]+))[ ]+ (?<attribute_worst>([0-9]1+))[ 1+ (?<attr
ibute_threshold> ([0-9]1+)) [ ]+ (?<attribute_type>([-_a-zA-Z0-9]1+)) [ ]+ (?<attribute_updated>([-_a-zA-Z0-91+))[ 1+

(?<attribute_when_failed> ([-_a-zA-Z0-9]+)) [ 1+ (?<attribute_raw_value> ([*\n]+))"

#7 - 08/22/2016 06:00 AM - Luke Murphey

Removing attribute prefix:

sourcetype=smartmon Serial_Number=$serial_number$| head 1 | rex "RAW_VALUE\n (?<attributes> ([ 1*[0-9]+.*\n)+)"

| rex max_match=100 field=attributes "\n[ ]*(?2<id>([0-9]+)) [ ]+ (?<name> ([-0-9a-zA-Z_]+)) [ ]+ (2<flag>([-0-9a-zA
=Z_1+)) [ 1+(2<value>([0-9]1+)) [ I+ (?2<worst>([0-9]+))[ ]1+(?<threshold>([0-9]1+)) [ I+ (2<type>([-_a-zA-Z0-91+))[ 1+
(?<updated> ([-_a-zA-Z0-91+)) [ 1+ (?<when_failed> ([-_a-zA-Z0-9]1+)) [ 1+ (?<raw_value>(["\n]+))" | table name id fl

ag value worst threshold type updated when_failed raw_value

#8 - 08/22/2016 06:37 AM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100
